unit flprglob;

interface

const
  CurDrive:byte=1;
  numsectors:byte=9;
  numtracks:byte=40;
  numheads:byte=2;
  maxsectors=18;
  maxtracks=80;
  maxheads=2;
  sectorsize=512;
  sectorcount:word=0;
  trackreadcount:word=0;
  totaltrackreads:word=0;
  secdisplaylinelength=64; {must be multiple of 8!  32, 64 are pretty much only ones}
  sectorsbuffer:pointer=nil;
  tracksize:word=0;
  screencolumns=80;
  normcolor=$07;
  emphcolor=$09;
  sectcolor=$70;
  numErrors:word=0;
  starttick:longint=0;
  totalsectors:word=0;

type
  boot_structure = record
    jmp_instruction     : array[1..3] of byte;
    oem_name            : array[1..8] of char;
    bytes_per_sector    : word;
    sectors_per_cluster : byte;
    reserved_sectors    : word;
    fat_copies          : byte;
    root_entries        : word;
    total_sectors       : word;
    media_descriptor    : byte;
    sectors_per_fat     : word;
    sectors_per_track   : word;
    number_of_heads     : word;
    hidden_sectors      : word;
    total_sector_fixed  : array[1..2] of word;
    drive_number        : byte;
    reserved            : byte;
    ext_boot_sig        : byte;
    serial_number       : array[1..2] of word;
    volume_name         : array[1..11] of char;
    file_system_id      : array[1..8] of char;
    boot_program_code   : array[1..450] of char;
    signature_bytes     : array[1..2] of byte;
  end;
  psector=^tsector;
  tsector=array[0..sectorsize-1] of byte;
var
  {
  To attempt reconstructing a bad sector, we'll read N iterations and keep
  a total of how many bits were found in each byte of the sector.  After
  enough iterations, we'll divide each count by N and round the result to
  construct a new sector from the averaged bits.
  Sector bits are from 0..(size*8)-1, with (size*8) holding N (# of iter.).
  }
  salvageData:array[0..(sectorSize*8)] of word;

  {we will read sectors directly into a global var array so that we can index
  both the damaged data and the salvage array values with an implicit DS:}
  salvagedSector:tsector;
  salvagedSectorp:psector;
  oldSector:tsector;
  oldSectorp:psector;

implementation

end.